[arch-commits] Commit in snes9x/repos (6 files)

Allan McRae allan at archlinux.org
Sat Sep 12 08:37:48 UTC 2009


    Date: Saturday, September 12, 2009 @ 04:37:47
  Author: allan
Revision: 51836

Merged revisions 356,51835 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/snes9x/trunk

........
  r356 | aaron | 2008-04-19 08:56:27 +1000 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r51835 | allan | 2009-09-12 18:36:46 +1000 (Sat, 12 Sep 2009) | 2 lines
  
  upgpkg: snes9x 1.51-2
      rebuild to add arch in package name and remove filelist, patch to build, remove install file, include copy of license
........

Added:
  snes9x/repos/extra-i686/LICENSE
    (from rev 51835, snes9x/trunk/LICENSE)
  snes9x/repos/extra-i686/snes9x-1.51-glibc2.10.patch
    (from rev 51835, snes9x/trunk/snes9x-1.51-glibc2.10.patch)
Modified:
  snes9x/repos/extra-i686/	(properties)
  snes9x/repos/extra-i686/PKGBUILD
Deleted:
  snes9x/repos/extra-i686/snes9x-fixes2.patch
  snes9x/repos/extra-i686/snes9x.install

-----------------------------+
 LICENSE                     |   21 +++++++++++++++++++++
 PKGBUILD                    |   35 +++++++++++++++++++++--------------
 snes9x-1.51-glibc2.10.patch |   13 +++++++++++++
 snes9x-fixes2.patch         |   29 -----------------------------
 snes9x.install              |   13 -------------
 5 files changed, 55 insertions(+), 56 deletions(-)


Property changes on: snes9x/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /snes9x/trunk:1
   + /snes9x/trunk:1-51835

Copied: snes9x/repos/extra-i686/LICENSE (from rev 51835, snes9x/trunk/LICENSE)
===================================================================
--- extra-i686/LICENSE	                        (rev 0)
+++ extra-i686/LICENSE	2009-09-12 08:37:47 UTC (rev 51836)
@@ -0,0 +1,21 @@
+Permission to use, copy, modify and/or distribute Snes9x in both binary
+and source form, for non-commercial purposes, is hereby granted without
+fee, providing that this license information and copyright notice appear
+with all copies and any derived work.
+
+This software is provided 'as-is', without any express or implied
+warranty. In no event shall the authors be held liable for any damages
+arising from the use of this software or it's derivatives.
+
+Snes9x is freeware for PERSONAL USE only. Commercial users should
+seek permission of the copyright holders first. Commercial use includes,
+but is not limited to, charging money for Snes9x or software derived from
+Snes9x, including Snes9x or derivatives in commercial game bundles, and/or
+using Snes9x as a promotion for your commercial product.
+
+The copyright holders request that bug fixes and improvements to the code
+should be forwarded to them so everyone can benefit from the modifications
+in future versions.
+
+Super NES and Super Nintendo Entertainment System are trademarks of
+Nintendo Co., Limited and its subsidiary companies.
\ No newline at end of file

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-09-12 08:36:46 UTC (rev 51835)
+++ extra-i686/PKGBUILD	2009-09-12 08:37:47 UTC (rev 51836)
@@ -1,21 +1,27 @@
+# $Id$
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
+
 pkgname=snes9x
 pkgver=1.51
-pkgrel=1
+pkgrel=2
 pkgdesc="A portable Emulator for the Super Nintento Entertainment System"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.snes9x.com"
-license="Freeware"
+license=('custom')
 # remove nasm on non x86 platforms
 depends=('zlib' 'libpng' 'sdl' 'nasm' 'mesa')
-install=snes9x.install
-source=(http://www.geocities.co.jp/SiliconValley-PaloAlto/2560/release/${pkgname}-${pkgver}-src.tar.bz2 \
-        snes9x-fixes2.patch)
+source=(http://www.geocities.co.jp/SiliconValley-PaloAlto/2560/release/${pkgname}-${pkgver}-src.tar.bz2
+        snes9x-1.51-glibc2.10.patch
+        LICENSE)
+md5sums=('a1038cc761f400318cdced960972f8a7'
+         '181db31b84b8f3f7f16b4fb11dc043cc'
+         '9b69c926c88c5d9b26c69b9437d6cf1d')
+
 build() {
-  mkdir -p ${startdir}/pkg/usr/bin
+  install -dm755 ${pkgdir}/usr/bin
 
-  cd ${startdir}/src/${pkgname}-${pkgver}-src
-  #patch -Np1 -i ${startdir}/src/snes9x-fixes2.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}-src
+  patch -Np0 -i ${srcdir}/snes9x-1.51-glibc2.10.patch || return 1
 
   # build snes9x with opengl
   ./configure --prefix=/usr \
@@ -23,13 +29,12 @@
               --with-opengl \
               --with-netplay
   make || return 1
-  install -D ${startdir}/src/${pkgname}-${pkgver}-src/osnes9x ${startdir}/pkg/usr/bin/osnes9x
+  install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/osnes9x ${pkgdir}/usr/bin/osnes9x
 
   # build snes9x with glide
-  #cd $startdir/src/$pkgname-$pkgver-src
   #./configure --prefix=/usr --with-sdd1-decomp --with-glide
   #make || return 1
-  #install -D ${startdir}/src/${pkgname}-${pkgver}-src/osnes9x ${startdir}/pkg/usr/bin/3dfxsnes9x
+  #install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/osnes9x ${pkgdir}/usr/bin/3dfxsnes9x
 
   # build snes9x without opengl
   ./configure --prefix=/usr \
@@ -37,6 +42,8 @@
               --with-netplay
   make clean || return 1
   make || return 1
-  install -D ${startdir}/src/${pkgname}-${pkgver}-src/snes9x ${startdir}/pkg/usr/bin/snes9x
+  install -Dm755 ${srcdir}/${pkgname}-${pkgver}-src/snes9x ${pkgdir}/usr/bin/snes9x
+
+  install -Dm644 ${srcdir}/LICENSE ${pkgdir}/usr/share/licenses/snes9x/LICENSE
 }
-md5sums=('a1038cc761f400318cdced960972f8a7' '395bea78242afc82b3756225fe4ff954')
+

Copied: snes9x/repos/extra-i686/snes9x-1.51-glibc2.10.patch (from rev 51835, snes9x/trunk/snes9x-1.51-glibc2.10.patch)
===================================================================
--- extra-i686/snes9x-1.51-glibc2.10.patch	                        (rev 0)
+++ extra-i686/snes9x-1.51-glibc2.10.patch	2009-09-12 08:37:47 UTC (rev 51836)
@@ -0,0 +1,13 @@
+--- unix/unix.cpp
++++ unix/unix.cpp
+@@ -1162,8 +1162,8 @@
+ {
+   *drive = 0;
+ 
+-  char *slash = strrchr(path, SLASH_CHAR);
+-  char *dot = strrchr(path, '.');
++  char *slash = strrchr((char *)path, SLASH_CHAR);
++  char *dot = strrchr((char *)path, '.');
+ 
+   if (dot && slash && dot < slash)
+   {

Deleted: extra-i686/snes9x-fixes2.patch
===================================================================
--- extra-i686/snes9x-fixes2.patch	2009-09-12 08:36:46 UTC (rev 51835)
+++ extra-i686/snes9x-fixes2.patch	2009-09-12 08:37:47 UTC (rev 51836)
@@ -1,29 +0,0 @@
---- snes9x-1.5-src.orig/unix/opengl.cpp	2006-06-30 13:34:57.000000000 +0000
-+++ snes9x-1.5-src/unix/opengl.cpp	2006-09-01 08:48:39.000000000 +0000
-@@ -214,7 +214,7 @@
- 
- 	// Strip dots from the version string
- 	char *ptr;
--	while (ptr = strchr (ver, '.'))
-+	while ((ptr = strchr (ver, '.')))
- 	    memmove (ptr, ptr + 1, strlen (ptr + 1) + 1);
- 	
- 	// Pad the string with zeros to 4 digits
-@@ -381,7 +381,7 @@
-                 int i = 0;
-                 for (uint32 y = 0; y < pheight; y++)
-                 {
--                    uint16 *ptr = (uint16 *) (GFX.Screen + (y + startl) * GFX.Pitch2) + startx;
-+                    uint16 *ptr = (uint16 *) (GFX.Screen + (y + startl) * GFX.Pitch) + startx;
-                     for (uint32 x = 0; x < pwidth; x++)
-                     {
-                         int color = *ptr++;
-@@ -399,7 +399,7 @@
- 		for (uint32 y = 0; y < pheight; y++)
- 		{
- 		    memmove (basetexbuffer + sizeof (uint16) * texture_size * y,
--			     (GFX.Screen + (y + startl) * GFX.Pitch2) + startx,
-+			     (GFX.Screen + (y + startl) * GFX.Pitch) + startx,
- 			     sizeof (uint16) * texture_size);
- 		}
- 		data = basetexbuffer;

Deleted: extra-i686/snes9x.install
===================================================================
--- extra-i686/snes9x.install	2009-09-12 08:36:46 UTC (rev 51835)
+++ extra-i686/snes9x.install	2009-09-12 08:37:47 UTC (rev 51836)
@@ -1,13 +0,0 @@
-post_install() {
-  echo ">> If you wish to use Snes9x with OpenGL try osnes9x" 
-  /bin/true
-}
-
-post_upgrade() {
-  echo ">> If you wish to use Snes9x with OpenGL try osnes9x"
-  /bin/true
-}
-
-op=$1
-shift
-$op $*




More information about the arch-commits mailing list